%define src_ver 20000906
%define languagelocal polski
%define languageeng polish
%define languagecode pl

Summary: 	Polish files for ispell
Summary(pl):Polski sownik do ispella
Name: 		ispell-%{languagecode} 
Version: 	0.8
Release: 	1mdk
URL: 		ftp://ftp.ds14.agh.edu.pl/pub/ispell/slownik/
Source:		slownik-%{src_ver}.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

BuildPrereq: ispell >= 3.1.20-7mdk
BuildPrereq: perl
Requires: locales-%{languagecode}
Requires: ispell >= 3.1.20-7mdk
Provides: ispell-dictionary

Obsoletes: ispell-polish
Obsoletes: ipolish

%description
Polish Dictionaries for ispell. 
To check spelling in Polish text use command:
ispell -d polish <file_name>

%description -l pl
Polski sownik do ispella
Do sprawdzania polskich tekstw naley uy polecenia:
ispell -d polish <nazwa_pliku>

%prep
%setup -n slownik
cp polish.dic.proto polish.dic
./slowniki.pl

mv -f polish.dic %{languagelocal}.hash
mv -f polish.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc CZYTAJ.TO
%{_libdir}/ispell/*

%changelog
* Thu Sep 07 2000 Pawel Jablonski <pj@linux-mandrake.com> 0.8-1mdk
- Updated dictionary

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.7-10mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.7-9mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7-8mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7-7mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language

* Sat Oct 09 1999 Pawe Jaboski <pj@linux-mandrake.com>
- Initial Mandrake version
